
c     =========================
      subroutine testindent(A)
c     =========================
c
c     begin_html
c     sample code to test indentation at various levels...
c
c     Sets $A$ to the $3\times 3$ identity matrix,
c     \[ A = \begin{matrix} 1&0&0\\ 0&1&0 \\ 0&0&1 \end{matrix}. \]
c
c     end_html

      dimension A(3,3)

      do i=1,3
c        # begin_html
c        in the i loop
c        # end_html
         do j=1,3
c           begin_html
c           in the j loop
c           end_html
            if (i .eq. j) then
c                begin_html
c                on the diagonal
c                end_html
                 a(i,j) = 1
               else
c                # begin_html
c                off the diagonal
c                # end_html
                 a(i,j) = 0
               endif
             enddo ! end of j loop
          enddo ! end of i loop
c     begin_html
c     All done!
c     end_html
      return
      end
